# Supplementary materials for *Decomposed scoring of CCG dependencies*

This package contains the supplementary materials for the paper titled
*Decomposed scoring of CCG dependencies*. Specifically, we provide verbatim
copies of the data and instructions given to judges for the two tasks for both
the pilot and main studies.

The materials in this package are provided for research purposes only. If you
use anything from this package (data, results, etc.), please make sure to cite
the paper:
* Aditya Bhargava and Gerald Penn. 2023. Decomposed scoring of CCG
dependencies. In *Proceedings of the 61st Annual Meeting of the Association for
Computational Linguistics*. Toronto, Canada. Association for Computational
Linguistics.

The code for decomposed CCG scoring is available online at
<https://www.cs.toronto.edu/~aditya/ccgds>.

## Judgement task data and instructions

For the studies we conducted, the task judgement interface was hosted online,
with each judge being given a unique URL so that their responses could be
properly recorded. The pages were generated dynamically and the responses were
submitted via HTTP requests to a backend where they were saved.

In order to make the interface viewable offline and without having to run a
local HTTP server, we have converted the pages to static versions for this
package. In the `tasks` folder, there is a separate HTML file for each
judge-task pair; we had two judges for the pilot study, four for the main study,
and two tasks, so there are 12 HTML files. Each file shows the instructions and
data given as well as the judge's selections. The text and examples are
unchanged except for anonymization of the judge's email addresses.

It is necessary to extract the full folder contents before opening any of the
pages; the interface critically relies on the `css` and `fonts` folders for
properly formatting the pages and figures, while files in the `js` folder
provide the actual figures and enable the animations that help identify
dependency labels. The latter is particularly important when the dependency
labels become wider than the dependency edge lengths.

For the figures and dependency hovering interface to be rendered properly,
JavaScript must be enabled. A modern browser (released 2020 or later) should be
used; older versions may not work correctly. Practically, this is unlikely to
require any action, as most browsers on most operating systems keep themselves
updated. The interface has been tested with recent versions of Chrome and
Firefox (as of 2022-07-15); it should work with Safari as well.
